## org.mortbay.ftp
Class DataPort

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.mortbay.ftp.DataPort

All Implemented Interfaces:
  java.lang.Runnable

public class DataPort
extends java.lang.Thread

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`void` `close()` Close this DataPort and cancel any transfer notification
`java.lang.String` `getFtpPortCommand()`
`int` `getListenPort()`
`void` `handle()`
`static void` `main(java.lang.String[] args)`
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

### run

    public final void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### close

    public final void close()

  Close this DataPort and cancel any transfer notification

### handle

    public void handle()
                throws java.io.IOException

    `java.io.IOException`

### getListenPort

    public int getListenPort()

### getFtpPortCommand

    public java.lang.String getFtpPortCommand()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.